base-devel:
  pkg.group_installed

sudo:
  pkg.installed

{% if pillar['aur'] is defined -%}
{% if pillar['aur']['require'] is defined -%}
{% for pkg in pillar['aur']['require'] %}
aur_require_{{pkg}}:
  pkg.installed:
    - name: "{{pkg}}"
{%- endfor -%}
{%- endif -%}
{%- endif %}

user-build:
  user.present:
    - name: build
    - createhome: true
  file.append:
    - name: /etc/sudoers
    - text: "build ALL=(ALL) NOPASSWD: ALL"

/repo:
  file.symlink:
    - target: /mnt/pkgs/aur-local/os/x86_64/

/build:
  file.symlink:
    - target: /mnt/build/

git-aur_repo:
  git.latest:
    - name: https://git.actcur.com/actcur/aur_repo
    - target: /home/build/aur_repo
    - user: build

build-aur_repo:
  cmd.run:
    - name: "makepkg -si --noconfirm;git reset --hard;git clean -f"
    - runas: build
    - cwd: /home/build/aur_repo
    - onchanges:
      - git: git-aur_repo

/etc/aur_repo/pkglist:
  file.managed:
    - source: salt://roles/maintain/aurrepo/pkglist
    - user: root
    - group: root
    - mode: 644
    - makedirs: true
    - template: jinja

"/usr/lib/systemd/system/updateaur.service":
  file.managed:
    - source: salt://roles/maintain/aurrepo/updateaur.service
    - user: root
    - group: root
    - mode: 644

"/usr/lib/systemd/system/updateaur.timer":
  file.managed:
    - source: salt://roles/maintain/aurrepo/updateaur.timer
    - user: root
    - group: root
    - mode: 644

"updateaur.timer":
  service.running:
    - enable: true
