nextcloud-pkgs:
  pkg.installed:
    - pkgs:
      - nextcloud
      - php-gd
      - php-intl
      - nginx
      - collabora-online-server-nodocker
      - redis
      - rabbitmq
      - postgresql
    
/etc/pacman.d/hooks/nextcloud.hook:
  file.managed:
    - source: salt://roles/maintain/nextcloud/nextcloud.hook
    - user: root
    - group: root
    - mode: 644
    - makedirs: true
    
/etc/php/php.ini:
  file.managed:
    - source: salt://roles/maintain/nextcloud/php.ini
    - user: root
    - group: root
    - mode: 644
    
rtorrent-php-fpm:
  pkg.installed:
    - name: php-fpm
  service.running:
    - name: php-fpm
    - enable: true
    - watch:
      - file: /etc/php/php.ini
      
/etc/nginx/conf.d/nextcloud.conf:
  file.managed:
    - source: salt://roles/maintain/nextcloud/nginx-nextcloud.conf
    - user: root
    - group: root
    - mode: 644
      
/etc/nginx/conf.d/collabora.conf:
  file.managed:
    - source: salt://roles/maintain/nextcloud/nginx-collabora.conf
    - user: root
    - group: root
    - mode: 644
    
mount:
  group.present:
    - gid: 503
    - addusers:
      - http

nginx-service:
  service.running:
    - name: nginx
    - watch:
      - file: /etc/nginx/conf.d/nextcloud.conf

/usr/share/webapps/nextcloud/apps:
  file.directory:
    - user: http
    - group: http
    - dir_mode: 750
    